Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.container
Class CombinedTableContainer

    java.lang.Object
      org.maltparser.parser.history.container.TableContainer
          org.maltparser.parser.history.container.CombinedTableContainer

All Implemented Interfaces:
  Table

    public class CombinedTableContainer

extends TableContainer
implements Table

Since:
  1.1
Author:
  Johan Hall

Nested Class Summary

Nested classes/interfaces inherited from class org.maltparser.parser.history.container.TableContainer
`TableContainer.RelationToNextDecision`

Field Summary

Fields inherited from class org.maltparser.parser.history.container.TableContainer
`cachedCode, cachedSymbol, name, table`

Constructor Summary
`CombinedTableContainer(TableHandler tableHandler, String separator, List<TableContainer> containers, char decisionSeparator)`

Method Summary
`int` | `addSymbol(String value)`
`void` | `clearCache()`
`boolean` | `containCode(int code)`
`boolean` | `containSymbol(String symbol)`
`int` | `getCode(String symbol)`
`int` | `getCombinedCode(ActionContainer[] codesToCombine, int start)`
`int` | `getCombinedCode(List<ActionContainer> codesToCombine)`
`String` | `getName()`
`int` | `getNumberContainers()`
`char` | `getSeparator()`
`String` | `getSymbol(int code)`
`String` | `getSymbolCodeToString(int code)`
`int` | `getSymbolStringToCode(String symbol)`
`protected void` | `initSymbolTable()`
`void` | `setActionContainer(ActionContainer[] actionContainers, int start, int decision)`
`void` | `setActionContainer(List<ActionContainer> actionContainers, int decision)`
`protected void` | `split()`

Methods inherited from class org.maltparser.parser.history.container.TableContainer
`continueWithNextDecision, continueWithNextDecision, getRelationToNextDecision, getTable, getTableContainerName, getTableName, setName, setTable, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.maltparser.core.symbol.Table
`size`

Constructor Detail

### CombinedTableContainer

    public CombinedTableContainer(TableHandler tableHandler,
                                  String separator,
                                  List<TableContainer> containers,
                                  char decisionSeparator)
                           throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### clearCache

    public void clearCache()

  Overrides:
    `clearCache` in class `TableContainer`

### addSymbol

    public int addSymbol(String value)
                  throws MaltChainedException

  Specified by:
    `addSymbol` in interface `Table`
  Throws:
    `MaltChainedException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Table`

### getSymbolCodeToString

    public String getSymbolCodeToString(int code)
                                 throws MaltChainedException

  Specified by:
    `getSymbolCodeToString` in interface `Table`
  Throws:
    `MaltChainedException`

### getSymbolStringToCode

    public int getSymbolStringToCode(String symbol)
                              throws MaltChainedException

  Specified by:
    `getSymbolStringToCode` in interface `Table`
  Throws:
    `MaltChainedException`

### getNumberContainers

    public int getNumberContainers()

### getSymbol

    public String getSymbol(int code)
                     throws MaltChainedException

  Overrides:
    `getSymbol` in class `TableContainer`
  Throws:
    `MaltChainedException`

### getCode

    public int getCode(String symbol)
                throws MaltChainedException

  Overrides:
    `getCode` in class `TableContainer`
  Throws:
    `MaltChainedException`

### containCode

    public boolean containCode(int code)
                        throws MaltChainedException

  Overrides:
    `containCode` in class `TableContainer`
  Throws:
    `MaltChainedException`

### containSymbol

    public boolean containSymbol(String symbol)
                          throws MaltChainedException

  Overrides:
    `containSymbol` in class `TableContainer`
  Throws:
    `MaltChainedException`

### getCombinedCode

    public int getCombinedCode(List<ActionContainer> codesToCombine)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### getCombinedCode

    public int getCombinedCode(ActionContainer[] codesToCombine,
                               int start)
                        throws MaltChainedException

  Throws:
    `MaltChainedException`

### setActionContainer

    public void setActionContainer(List<ActionContainer> actionContainers,
                                   int decision)
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### setActionContainer

    public void setActionContainer(ActionContainer[] actionContainers,
                                   int start,
                                   int decision)
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

### split

    protected void split()
                  throws MaltChainedException

  Throws:
    `MaltChainedException`

### getSeparator

    public char getSeparator()

### initSymbolTable

    protected void initSymbolTable()
                            throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.